Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: Emery Berge
Upstream-Contact: emery@cs.umass.edu
Source: https://github.com/plasma-umass/scalene

Files: *
Copyright: 2019 Emery Berger <emery@cs.umass.edu>
License: Apache-2.0

Files: vendor/printf/*
Copyright: 2014 Marco Paland <info@paland.com>
License: expat

Files: vendor/Heap-Layers/*
Copyright: 2000-2020 Emery Berger <http://www.emeryberger.com>
License: Apache-2.0

Files: vendor/Heap-Layers/examples/kingsley/libkingsley.cpp
       vendor/Heap-Layers/legacy/reap/libreap.cpp
       vendor/Heap-Layers/legacy/reap/regionheap.cpp
Copyright: Emery Berger <emery@cs.umass.edu>
License: GPL-2+

Files: vendor/printf/test/catch.hpp
Copyright: 2019, Two Blue Cubes Ltd.
License: BSL-1.0

Files: test/expensive_benchmarks/docutils_data/docs/*
Copyright: unkown
License: public-domain
 These documents have been placed in the public domain.

Files: debian/*
Copyright: 2020-2022 Emmanuel Arias <eamanu@yaerobi.com>
License: GPL-2+

License: Apache-2.0
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at
 .
 https://www.apache.org/licenses/LICENSE-2.0
 .
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 .
 On Debian systems, the complete text of the Apache version 2.0 license
 can be found in "/usr/share/common-licenses/Apache-2.0".

License: expat
 Permission is hereby granted, free of charge, to any person obtaining a
 copy of this software and associated documentation files (the "Software"),
 to deal in the Software without restriction, including without limitation
 the rights to use, copy, modify, merge, publish, distribute, sublicense,
 and/or sell copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included
 in all copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

License: GPL-2+
 This package is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <https://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU General
 Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".

License: BSL-1.0
 Boost Software License - Version 1.0 - August 17th, 2003
 .
 Permission is hereby granted, free of charge, to any person or
 organization obtaining a copy of the software and accompanying
 documentation covered by this license (the "Software") to use,
 reproduce, display, distribute, execute, and transmit the
 Software, and to prepare derivative works of the Software, and
 to permit third-parties to whom the Software is furnished to do
 so, all subject to the following:
 .
 The copyright notices in the Software and this entire statement,
 including the above license grant, this restriction and the
 following disclaimer, must be included in all copies of the
 Software, in whole or in part, and all derivative works of the
 Software, unless such copies or derivative works are solely in
 the form of machine-executable object code generated by a source
 language processor.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
 NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR
 ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE FOR ANY DAMAGES OR
 OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.
